BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Collections.ICollection System.Runtime.InteropServices.ComVisible(true)

is a descendant of the interface and is the base interface of all non-generic lists. implementations fall into three categories: read-only, fixed-size, and variable-size. A read-only cannot be modified. A fixed-size does not allow the addition or removal of elements, but it allows the modification of existing elements. A variable-size allows the addition, removal, and modification of elements.

For the generic version of this interface, see .

Represents a non-generic collection of objects that can be individually accessed by index.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  As described above.

  Use the method to add another element to the current instance. The index into which that element is added is implementation-dependent.

  The current instance is read-only or has a fixed size.

  Adds an item to the .

  The position into which the new element was inserted, or -1 to indicate that the item was not inserted into the collection.

  The object to add to the . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void

  The current instance is read-only.

  Implementations of this method can vary in how they handle the and the capacity of a collection. Typically, the count is set to zero, and references to other objects from elements of the collection are also released. The capacity can be set to zero or a default value, or it can remain unchanged.

  Removes all items from the .

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Starting with the .NET Framework 2.0, this method uses the collection’s objects’ and methods on to determine whether item exists. In the earlier versions of the .NET Framework, this determination was made by using the and methods of the parameter on the objects in the collection.

  Determines whether the contains a specific value.

  true if the is found in the ; otherwise, false.

  The object to locate in the . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  Starting with the .NET Framework 2.0, this method uses the collection’s objects’ and methods on to determine whether item exists. In the earlier versions of the .NET Framework, this determination was made by using the and methods of the parameter on the objects in the collection.

  Determines the index of a specific item in the .

  The index of if found in the list; otherwise, -1.

  The object to locate in the . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` is not a valid index in the current instance (i.e. is greater than the number of elements in the current instance).

  The current instance is read-only or has a fixed size.

  If equals the number of items in the , then is appended to the end.

  In collections of contiguous elements, such as lists, the elements that follow the insertion point move down to accommodate the new element. If the collection is indexed, the indexes of the elements that are moved are also updated. This behavior does not apply to collections where elements are conceptually grouped into buckets, such as a hash table.

  Inserts an item to the at the specified index.

  The zero-based index at which should be inserted. The object to insert into the . 0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  if the current instance has a fixed size; otherwise, .

  A collection with a fixed size does not allow the addition or removal of elements after the collection is created, but it allows the modification of existing elements.

  Gets a value indicating whether the has a fixed size.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean

  if the current instance is read-only; otherwise, .

  A collection that is read-only does not allow the addition, removal, or modification of elements after the collection is created.

  Gets a value indicating whether the is read-only.

  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` A that specifies the zero-based index of the element to get or set.

  Gets or sets the element at the specified index in the current instance.

  The element at the specified index in the current instance.

  As described above.

  Use this property for subscript indexing for the current instance in the following form: myCollection[index].

  is not a valid index in the current instance. The property is being set and the current instance is read-only. 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The current instance is read-only or has a fixed size.

  In collections of contiguous elements, such as lists, the elements that follow the removed element move up to occupy the vacated spot. If the collection is indexed, the indexes of the elements that are moved are also updated. This behavior does not apply to collections where elements are conceptually grouped into buckets, such as a hash table. If is not found in the , the remains unchanged and no exception is thrown.

  Removes the first occurrence of a specific object from the .

  The object to remove from the . 0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` is not a valid index in current instance.

  The current instance is read-only or has a fixed size.

  In collections of contiguous elements, such as lists, the elements that follow the removed element move up to occupy the vacated spot. If the collection is indexed, the indexes of the elements that are moved are also updated. This behavior does not apply to collections where elements are conceptually grouped into buckets, such as a hash table.

  Removes the item at the specified index.

  The zero-based index of the item to remove. 0
0